Interface RocketMQEndpointBuilderFactory.RocketMQBuilders
-
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- RocketMQEndpointBuilderFactory
public static interface RocketMQEndpointBuilderFactory.RocketMQBuilders
-
-
Method Summary
All Methods Instance Methods Default Methods Modifier and Type Method Description default RocketMQEndpointBuilderFactory.RocketMQHeaderNameBuilderrocketmq()RocketMQ (camel-rocketmq) Send and receive messages from RocketMQ cluster.default RocketMQEndpointBuilderFactory.RocketMQEndpointBuilderrocketmq(String path)RocketMQ (camel-rocketmq) Send and receive messages from RocketMQ cluster.default RocketMQEndpointBuilderFactory.RocketMQEndpointBuilderrocketmq(String componentName, String path)RocketMQ (camel-rocketmq) Send and receive messages from RocketMQ cluster.
-
-
-
Method Detail
-
rocketmq
default RocketMQEndpointBuilderFactory.RocketMQHeaderNameBuilder rocketmq()
RocketMQ (camel-rocketmq) Send and receive messages from RocketMQ cluster. Category: messaging Since: 3.20 Maven coordinates: org.apache.camel:camel-rocketmq- Returns:
- the dsl builder for the headers' name.
-
rocketmq
default RocketMQEndpointBuilderFactory.RocketMQEndpointBuilder rocketmq(String path)
RocketMQ (camel-rocketmq) Send and receive messages from RocketMQ cluster. Category: messaging Since: 3.20 Maven coordinates: org.apache.camel:camel-rocketmq Syntax:rocketmq:topicNamePath parameter: topicName (required) Topic name of this endpoint.- Parameters:
path- topicName- Returns:
- the dsl builder
-
rocketmq
default RocketMQEndpointBuilderFactory.RocketMQEndpointBuilder rocketmq(String componentName, String path)
RocketMQ (camel-rocketmq) Send and receive messages from RocketMQ cluster. Category: messaging Since: 3.20 Maven coordinates: org.apache.camel:camel-rocketmq Syntax:rocketmq:topicNamePath parameter: topicName (required) Topic name of this endpoint.- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- topicName- Returns:
- the dsl builder
-
-